|  | Home | Documentation | saml1__ActionType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
saml1__ActionType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":ActionType is a complexType with simpleContent extension of type xs:string. More...

`#include <saml1.h>`

## Public Attributes

char * | __item
char * | Namespace
| Attribute "Namespace" of type xs:anyURI.

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":ActionType is a complexType with simpleContent extension of type xs:string.

Note
  struct saml1__ActionType operations:
  - saml1__ActionType* soap_new_saml1__ActionType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml1__ActionType(struct soap*, saml1__ActionType*) default initialize members
  - int soap_read_saml1__ActionType(struct soap*, saml1__ActionType*) deserialize from a source
  - int soap_write_saml1__ActionType(struct soap*, saml1__ActionType*) serialize to a sink
  - saml1__ActionType* soap_dup_saml1__ActionType(struct soap*, saml1__ActionType* dst, saml1__ActionType <em>src) returns deep copy of saml1__ActionType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml1__ActionType(saml1__ActionType
  ) deep deletes saml1__ActionType data members, use only on dst after soap_dup_saml1__ActionType(NULL, saml1__ActionType *dst, saml1__ActionType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ __item

char* saml1__ActionType::__item

INHERITED FROM saml1__ActionType: __item wraps simpleContent of type xs:string.

## ◆ Namespace

char* saml1__ActionType::Namespace

Attribute "Namespace" of type xs:anyURI.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml1.h